#1  
Old 31st January 2012, 04:56 AM
Enrico Enrico is offline
Junior Member
 
Join Date: Apr 2009
Posts: 15
Default Installing Free embedded: compatible with future purchase of the NexusDB?

Hi

I am currently using Nexus db2 (licensed version).
I am in the process of upgrading my project to Delphi XE/Nexusdb3, and I just downloaded the Nexus Free embedded version, to start some preliminary updating and testing of the project, planning the purchase the upgrade to Nexusdb3 in the next few weeks.
I have a doubt: if I install the Free version now, would it cause some kind of conflict when I will install the purchased version?
Thanks
Enrico
  #2  
Old 31st January 2012, 09:11 AM
Eivind Bakkestuen [NDD]
 
Posts: n/a
Default Re: Installing Free embedded: compatible with future purchase of the NexusDB?

> I have a doubt: if I install the Free version now, would it cause some
> kind of conflict when I will install the purchased version?


No, just make sure to uninstall one version before installing the other.

--
Eivind Bakkestuen [NDD]
  #3  
Old 31st January 2012, 04:06 PM
Enrico Enrico is offline
Junior Member
 
Join Date: Apr 2009
Posts: 15
Default

Thanks.
My situation is this: I have Nexusdb2 installed.The files are in ProgramfilesNexusdb2.
Now I installed version 3 and put the files in Program Filesnexusdb3.
The db2 was used for D5. The Db3 is used for Rad Studio XE.
I am trying to convert my applications to the XE/Nexusdb3 platform.
I do not want to remove the existing projects before testing the upgrade
very well.
How can I do that?
Trying to build a Project in XE/Nexusdb3 i got this error
{$IFNDEF DCC5OrLater}
Compiler not yet supported!
{$ENDIF} in NxDefine.inc. How do i go around it?
Thanks
  #4  
Old 31st January 2012, 08:15 PM
Eivind Bakkestuen [NDD]
 
Posts: n/a
Default Re: Installing Free embedded: compatible with future purchase of the NexusDB?

> How can I do that?
> Trying to build a Project in XE/Nexusdb3 i got this error
> {$IFNDEF DCC5OrLater}
> Compiler not yet supported!
> {$ENDIF} in NxDefine.inc. How do i go around it?


It sounds like the library path in Delphi XE is pointing to the v2
files, make sure there are no references to v2 directories there.

--
Eivind Bakkestuen [NDD]


Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Using NexusDB Free Embedded Version Q Correll nexusdb.public.support 4 24th October 2011 03:47 PM
NexusDB V3 Embedded FREE Edition released. Hannes Danzl[NDD] nexusdb.public.announcements 0 29th July 2009 05:35 PM
fatal linker error after changing nexusdb ebbedded free version into nexusdb embedded w.bergerhoff Support Newsgroups 1 16th December 2005 11:56 PM
fatal linker error after changing nexusdb ebbedded free version into nexusdb embedded w.bergerhoff nexusdb.public.support.cbuilder 1 16th December 2005 11:56 PM
NexusDB free Embedded Edition and Threads Gerald Koeder nexusdb.public.support 1 18th August 2005 10:37 AM


All times are GMT +11. The time now is 07:56 AM.


Powered by vBulletin® Version 3.6.8
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.